Replace a table definition, except for columns

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

UUID of your database from the Astra URL.
For example, d341f349-e5db-46d2-9c90-bb9ebaa6f0fc.

string
required

Cloud region where your database lives.
For example, us-east-1

string
required

keyspace name

string
required

table name

Body Params
string
required
boolean
Defaults to false

Determines whether to create a new table if a table with the same name exists. Attempting to create an existing table returns an error unless this option is true.

columnDefinitions
array of objects
required
columnDefinitions*
primaryKey
object
required

Defines a column list for the primary key. Can be either a single column, compound primary key, or composite partition key. Provide multiple columns for the partition key to define a composite partition key.

tableOptions
object
Headers
string
required

The token returned from the authorization endpoint. Use this token in each request.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*